Support » Plugin: WP Minify » WooCommerce incompatibility

  • cdsimmons

    (@cdsimmons)


    The issue seems to be with how WooCommerce likes to link to it’s JS files:

    <script type='text/javascript' src='//thepocketpirate.com/wp-content/plugins/woocommerce/assets/js/frontend/add-to-cart.min.js?ver=2.1.3'></script>
    <script type='text/javascript' src='//thepocketpirate.com/wp-content/plugins/woocommerce/assets/js/jquery-blockui/jquery.blockUI.min.js?ver=2.60'></script>
    <script type='text/javascript'>
    /* <![CDATA[ */
    var woocommerce_params = {"ajax_url":"\/wp-admin\/admin-ajax.php","ajax_loader_url":"\/\/thepocketpirate.com\/wp-content\/plugins\/woocommerce\/assets\/images\/ajax-loader@2x.gif"};
    /* ]]> */
    </script>
    <script type='text/javascript' src='//thepocketpirate.com/wp-content/plugins/woocommerce/assets/js/frontend/woocommerce.min.js?ver=2.1.3'></script>
    <script type='text/javascript' src='//thepocketpirate.com/wp-content/plugins/woocommerce/assets/js/jquery-cookie/jquery.cookie.min.js?ver=1.3.1'></script>
    <script type='text/javascript'>
    /* <![CDATA[ */
    var wc_cart_fragments_params = {"ajax_url":"\/wp-admin\/admin-ajax.php","fragment_name":"wc_fragments"};
    /* ]]> */
    </script>

    It doesn’t include the http: or https:, I guess this helps it to let the current URL decide? Can’t find an option to force it to be either, figured it should probably be remedied with WP minify anyways to avoid issues with other plugins doing this.

    https://wordpress.org/plugins/wp-minify/

  • The topic ‘WooCommerce incompatibility’ is closed to new replies.